Subject: bug#47832: 28.0.50; define-fringe-bitmap and emacs --daemon

From: Eli Zaretskii <[email-masked]>
Date: Tue, 25 May 2021 16:45:00 +0300

> Date: Tue, 25 May 2021 13:24:14 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked]
> 
> > I'm asking why do we need to process the second kind here.  That kind 
> > was already set up when user initializations defined replacements for 
> > those standard bitmaps.  Right?  So why do we need to set them up again?
> 
> What you write is correct when you call "emacs", not when you call "emacs 
> --daemon".  In the latter case the user-defined bitmaps have not yet been 
> set up.  It's explained in the comment:
> 
>     /* Set up user-defined fringe bitmaps that might have been defined
>        before the frame of this kind was initialized.  This can happen
>        if Emacs is started as a daemon and the init files define fringe
>        bitmaps.  */

OK, but then perhaps we should only do that in a daemon?  Or at least
say in a comment there that the second loop does some redundant
initializations except under --daemon.